package com.iamberry.wechat.core.entity.cart;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author 刘志伟
 *	购物车类
 */
public class CartDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6707356515030325930L;

	private Integer cartId;					//购物车id
	
	private String cartOpenId;			//所属用户
	
	private Integer cartProductId;		//商品id
	
	private Integer cartColorId;			//商品颜色id
	
	private Integer cartNum;				//商品数量
	
	private Date cartCreateDate;		//时间
	
	private String productName;		//商品名称
	
	private Integer productType;		//商品类型id
	
	private Integer productPrice;		//商品原价
	
	private Integer productStatus;		//商品状态
	
	private String productIntroduceImg;	//介绍图
	
	private double total;					//在售商品总价
	
	private Integer productDiscount; // 折扣价
	
	private String productRemark; //商品备注
	
	private String productColor;			//产品颜色

	
	public String getProductColor() {
		return productColor;
	}

	public void setProductColor(String productColor) {
		this.productColor = productColor;
	}

	public Integer getCartColorId() {
		return cartColorId;
	}

	public void setCartColorId(Integer cartColorId) {
		this.cartColorId = cartColorId;
	}

	public Integer getProductType() {
		return productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductRemark() {
		return productRemark;
	}

	public void setProductRemark(String productRemark) {
		this.productRemark = productRemark;
	}

	public Integer getProductDiscount() {
		return productDiscount;
	}

	public void setProductDiscount(Integer productDiscount) {
		this.productDiscount = productDiscount;
	}

	public double getTotal() {
		return total;
	}

	public void setTotal(double total) {
		this.total = total;
	}

	public Integer getCartId() {
		return cartId;
	}

	public void setCartId(Integer cartId) {
		this.cartId = cartId;
	}

	public Integer getCartProductId() {
		return cartProductId;
	}

	public void setCartProductId(Integer cartProductId) {
		this.cartProductId = cartProductId;
	}

	public Integer getCartNum() {
		return cartNum;
	}

	public void setCartNum(Integer cartNum) {
		this.cartNum = cartNum;
	}

	public Date getCartCreateDate() {
		return cartCreateDate;
	}

	public void setCartCreateDate(Date cartCreateDate) {
		this.cartCreateDate = cartCreateDate;
	}


	public String getCartOpenId() {
		return cartOpenId;
	}

	public void setCartOpenId(String cartOpenId) {
		this.cartOpenId = cartOpenId;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getProductPrice() {
		return productPrice;
	}

	public void setProductPrice(Integer productPrice) {
		this.productPrice = productPrice;
	}

	public Integer getProductStatus() {
		return productStatus;
	}

	public void setProductStatus(Integer productStatus) {
		this.productStatus = productStatus;
	}

	public String getProductIntroduceImg() {
		return productIntroduceImg;
	}

	public void setProductIntroduceImg(String productIntroduceImg) {
		this.productIntroduceImg = productIntroduceImg;
	}
	
	
}
